# ContainerRegistry
    
> see https://aka.ms/autorest

This is the AutoRest configuration file for ContainerRegistry.



---
## Getting Started 
To build the SDK for ContainerRegistry, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration


#### Basic Information 
These are the global settings for the ContainerRegistry API.

``` yaml
# common 
openapi-type: data-plane
tag: package-2018-08
```

### Tag: package-2018-08

These settings apply only when `--tag=package-2018-08` is specified on the command line.

``` yaml $(tag) == 'package-2018-08'
input-file:
- Microsoft.ContainerRegistry/preview/2018-08-10/containerregistry.json
```

---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.ContainerRegistry
  sync-methods: None
  output-folder: $(csharp-sdks-folder)/ContainerRegistry/dataPlane/Microsoft.Azure.ContainerRegistry/Generated
  clear-output-folder: true
  add-credentials: true
```